services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  WebitDe\DrbeckmannContacts\:
    resource: '../Classes/*'

  WebitDe\DrbeckmannContacts\Controller\CountryController:
    arguments:
      $countryService: '@WebitDe\DrbeckmannContacts\Service\CountryService'
      $fileRepository: '@TYPO3\CMS\Core\Resource\FileRepository'

  WebitDe\DrbeckmannContacts\Service\CountryService:
    public: true
    arguments:
      $countryRepository: '@WebitDe\DrbeckmannContacts\Domain\Repository\CountryRepository'
